Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 524984 - =sys-apps/portage-2.2.14_rc1: ebuild no longer generates backward compatible make.conf PORTDIR setting
Summary: =sys-apps/portage-2.2.14_rc1: ebuild no longer generates backward compatible ...
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Unclassified (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: InVCS, REGRESSION
Depends on:
Blocks: 484436
  Show dependency tree
 
Reported: 2014-10-10 19:34 UTC by Zac Medico
Modified: 2014-12-02 20:16 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zac Medico gentoo-dev 2014-10-10 19:34:14 UTC
Ebuilds prior to portage-2.2.14_rc1 generate a make.conf PORTDIR setting for backward compatibility with various tools. See these bugs:

  bug 474574
  bug 478318
  bug 478444

So, either these bugs need to be fixed and the corresponding packages stabilized before portage-2.2.14, or else the make.conf compatibility code needs to be added to the portage-2.2.14 ebuild.
Comment 1 Martin Väth 2014-10-11 06:30:41 UTC
>=app-portage/eix-0.30.4 should also be stabilized before portage-2.2.14*
Comment 2 Zac Medico gentoo-dev 2014-10-20 19:31:09 UTC
This is fixed in 2.2.14.
Comment 3 Brian Dolbec gentoo-dev 2014-12-02 15:23:26 UTC
I am about to create a portage-2.2.14 stabilization bug.  Martin, is eix ready or in the process of being stabilized?
Comment 4 Martin Väth 2014-12-02 20:16:33 UTC
Yes, most arches are already stable, see bug 529510